tigase.server

## Class XMPPServer

- java.lang.Object
- - tigase.server.XMPPServer

-     public final class XMPPServer
      extends Object

  Describe class XMPPServer here.
  Created: Wed Nov 23 07:04:18 2005
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONFIGURATOR_PROP_KEY`
    `static String` | `NAME`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> T` | `getComponent(Class<T> clazz)`
    `static <T> T` | `getComponent(String name)` Allows obtaining `ConfiguratorAbstract` implementation used by Tigase to handle all configuration of the server.
    `static <T> Stream<T>` | `getComponents(Class<T> clazz)`
    `static String` | `getImplementationVersion()`
    `static Version` | `getVersion()`
    `static String` | `help()` Returns help regarding command line parameters
    `static boolean` | `isOSGi()`
    `static void` | `main(String[] args)`
    `static void` | `parseParams(String[] args)`
    `static void` | `setOSGi(boolean val)`
    `static void` | `start(String[] args)`
    `static void` | `stop()`
    `static String` | `version()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONFIGURATOR_PROP_KEY

          public static final String CONFIGURATOR_PROP_KEY

      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getComponent

          public static <T> T getComponent(String name)

      Allows obtaining `ConfiguratorAbstract` implementation used by Tigase to handle all configuration of the server.
      Returns:
        implementation of `ConfiguratorAbstract` interface.

    - #### getComponent

          public static <T> T getComponent(Class<T> clazz)

    - #### getComponents

          public static <T> Stream<T> getComponents(Class<T> clazz)

    - #### getImplementationVersion

          public static String getImplementationVersion()

    - #### getVersion

          public static Version getVersion()

    - #### help

          public static String help()

      Returns help regarding command line parameters

    - #### isOSGi

          public static boolean isOSGi()

    - #### setOSGi

          public static void setOSGi(boolean val)

    - #### main

          public static void main(String[] args)

    - #### parseParams

          public static void parseParams(String[] args)

    - #### start

          public static void start(String[] args)

    - #### stop

          public static void stop()

    - #### version

          public static String version()

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.